Subject: Re: [PATCH 02/11] nvmet-tcp: implement accept mptcp proto

From: Jakub Kicinski <[email-masked]>
Date: Thu, 28 May 2026 08:23:44 -0700

On Thu, 28 May 2026 11:10:36 +0800 Geliang Tang wrote:
> Dedicated MPTCP helpers are introduced for setting accept socket options.
> These helpers (no_linger, set_priority, set_tos) set the values on all
> existing subflows using mptcp_for_each_subflow(). The values are then
> synchronized to other newly created subflows in sync_socket_options().

These are not protocol specific options, why do we have to export
MPTCP-specific functions for them?